Bug 22010 - RecordedBooks and OverDrive should check preferences over passing variables
Summary: RecordedBooks and OverDrive should check preferences over passing variables
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17602
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-17 13:34 UTC by Nick Clemens
Modified: 2019-05-24 17:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.06


Attachments
Bug 22010: Check preferences for ebook integration (8.66 KB, patch)
2018-12-17 13:39 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22010: Check preferences for ebook integration (8.75 KB, patch)
2019-04-22 13:55 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22010: Check preferences for ebook integration (8.75 KB, patch)
2019-04-25 13:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22010: Check preferences for ebook integration (8.85 KB, patch)
2019-04-29 21:38 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-12-17 13:34:26 UTC
Currently RecordedBooks circulation throws an error on the user account page for 'SPINNER_THROBBER' undefined

The param is not passed to the template on that page - rather than passing it we should make the checks in the template
Comment 1 Nick Clemens 2018-12-17 13:39:56 UTC
Created attachment 83279 [details] [review]
Bug 22010: Check preferences for ebook integration

To test:
1 - Enable OverDrive and RecordedBooks (you can put anything in the
        prefs)
2 - Search on the opac - verify you get results (or search error) on
first page of results'
3 - Go to second page of results - OD and RB are not searched
4 - Apply patch
5 - Verify nothing has changed

If you have valid credentials:
1 - Enable RB prefs
2 - Sign in with an account that has an email matching your registered
account for recordedbooks
3 - Confirm you RB account loads on opac-user.pl

Otherwise:
Read the patches, verify it all makes sense
Comment 2 Jason Robb 2019-02-27 21:55:54 UTC
I tested this patch with my RB credentials. The searching works and my account syncs up correctly on opac-recordedbooks-search.pl -- I can check out items, place holds, check in items, etc. from those results.

opac-user.pl is still throwing the SPINNER_THROBBER error, and I still don't see content in the RB Account tab.

Applying the patch causes this string to appear at the very bottom of opac-user.pl, both with valid and invalid RBdigital credentials set in the sysprefs:

var SPINNER_THROBBER = "/opac-tmpl/lib/jquery/plugins/themes/classic/throbber.gif"; 

I had to scroll down slightly to see it.

Inspecting the html shows that string listed among the other scripts but without any tags, like this:

<script src="/opac-tmpl/bootstrap/js/tags_18.1200017.js"></script>
var SPINNER_THROBBER = "/opac-tmpl/lib/jquery/plugins/themes/classic/throbber.gif";
<script src="/opac-tmpl/bootstrap/lib/jquery/plugins/jquery.cookie.min_18.1200017.js"></script>
Comment 3 Nick Clemens 2019-04-22 13:55:00 UTC
Created attachment 88378 [details] [review]
Bug 22010: Check preferences for ebook integration

To test:
1 - Enable OverDrive and RecordedBooks (you can put anything in the
        prefs)
2 - Search on the opac - verify you get results (or search error) on
first page of results'
3 - Go to second page of results - OD and RB are not searched
4 - Apply patch
5 - Verify nothing has changed

If you have valid credentials:
1 - Enable RB prefs
2 - Sign in with an account that has an email matching your registered
account for recordedbooks
3 - Confirm you RB account loads on opac-user.pl

Otherwise:
Read the patches, verify it all makes sense
Comment 4 Nick Clemens 2019-04-22 13:55:24 UTC
(In reply to Jason Robb from comment #2)
Added missing script tags, thanks!
Comment 5 Owen Leonard 2019-04-25 13:00:39 UTC
Created attachment 88775 [details] [review]
Bug 22010: Check preferences for ebook integration

To test:
1 - Enable OverDrive and RecordedBooks (you can put anything in the
        prefs)
2 - Search on the opac - verify you get results (or search error) on
first page of results'
3 - Go to second page of results - OD and RB are not searched
4 - Apply patch
5 - Verify nothing has changed

If you have valid credentials:
1 - Enable RB prefs
2 - Sign in with an account that has an email matching your registered
account for recordedbooks
3 - Confirm you RB account loads on opac-user.pl

Otherwise:
Read the patches, verify it all makes sense

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Chris Cormack 2019-04-29 21:38:47 UTC
Created attachment 89056 [details] [review]
Bug 22010: Check preferences for ebook integration

To test:
1 - Enable OverDrive and RecordedBooks (you can put anything in the
        prefs)
2 - Search on the opac - verify you get results (or search error) on
first page of results'
3 - Go to second page of results - OD and RB are not searched
4 - Apply patch
5 - Verify nothing has changed

If you have valid credentials:
1 - Enable RB prefs
2 - Sign in with an account that has an email matching your registered
account for recordedbooks
3 - Confirm you RB account loads on opac-user.pl

Otherwise:
Read the patches, verify it all makes sense

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 7 Nick Clemens 2019-04-30 13:42:05 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-05-08 14:11:32 UTC
Pushed to 18.11.x for 18.11.06
Comment 9 Lucas Gass 2019-05-24 17:40:22 UTC
missing dependencies, wont backport to 18.05.x